[jira] [Commented] (TIKA-2925) General dependency/plugin upgrades for 1.23

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (TIKA-2925) General dependency/plugin upgrades for 1.23

Sebastian Nagel (Jira)

    [ https://issues.apache.org/jira/browse/TIKA-2925?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16987242#comment-16987242 ]

Luís Filipe Nassif commented on TIKA-2925:
------------------------------------------

Hi [~tallison],

Just tested java-libpst-0.9.4. It still has the same critical bug reported on [https://github.com/rjohnsondev/java-libpst/issues/60]

But, I got a simple idea right now. We can upgrade the lib and update PSTParser to check the PST/OST file version with pstFile.getPSTFileType(). If it is equal to PSTFile.PST_TYPE_2013_UNICODE, we can throw an Exception to let the user know that the library does not handle those files correctly and misses lots of emails silently.

What do you think?

> General dependency/plugin upgrades for 1.23
> -------------------------------------------
>
>                 Key: TIKA-2925
>                 URL: https://issues.apache.org/jira/browse/TIKA-2925
>             Project: Tika
>          Issue Type: Bug
>            Reporter: Tim Allison
>            Priority: Minor
>             Fix For: 1.23
>
>




--
This message was sent by Atlassian Jira
(v8.3.4#803005)